[Logo] Форум ПАРУС
Релиз от 15.02.2013  XML
Индекс форума » ПАРУС- Бюджет 10.хх
Автор Сообщение
VERLOIN
Пользователь
[Avatar]

Зарегистрирован: 09.10.2012 21:30:19
Сообщений: 857
Оффлайн

В сопроводительном письме есть строчка, что Парус 10 теперь отслеживает наличие лицензии.

С какими именно трудностями я столкнусь когда начну обновлять базу без лицензии... хотелось бы поподробнее узнать.
Я вообще смогу обновить базу без лицензии или нет?

Решение есть всегда!
[WWW]
HRAMOGIN
Опытный пользователь
[Avatar]

Зарегистрирован: 30.08.2012 16:39:07
Сообщений: 1176
Оффлайн

База без лицензии вообще не обновится.

Частые вопросы Парус 10
Остались вопросы? Задайте их прямо в приложении: "Администрирование" - "Обращения в службу поддержки" (глобальное сочетание клавиш Ctrl+F12). Наши специалисты всегда готовы помочь в любой ситуации.
BUZIKOV_E_N
Пользователь
[Avatar]

Зарегистрирован: 20.11.2012 11:22:04
Сообщений: 250
От: Бузиков Евгений
Оффлайн

Нет, не сможете. Насколько я понял, принцип как в Парус-8: нельзя обновится на релиз, который вышел позже даты окончания ЛО.

PS. Уже ответили... Ну ладно, оставлю.

Это сообщение было изменено 1 раз. Последнее изменение было в 18.02.2013 11:14:54

[Email]
VERLOIN
Пользователь
[Avatar]

Зарегистрирован: 09.10.2012 21:30:19
Сообщений: 857
Оффлайн

Спасибо.

Решение есть всегда!
[WWW]
NATALI
Новичок

Зарегистрирован: 22.11.2012 12:38:55
Сообщений: 72
Оффлайн

Здравствуйте,после установки обновления от февраля 2013г., при открытии раздела "Учетная политика" выдает ошибку: Class 'aeea35f0-63a2-4b3e-8a03-8e8879db636a' not registered.
KIVANOV
Пользователь
[Avatar]

Зарегистрирован: 01.08.2012 09:47:48
Сообщений: 648
Оффлайн

1. Какое приложение (приложения) было установлено до обновления?
2. Какие приложение установили обновлением?
3. Пользовательские словари переразворачивали?
4. Блоки с договорами и госконтрактами, а также даные для этих блоков устанавливали?

Вероятная причина п.4.

Это сообщение было изменено 2 раз. Последнее изменение было в 18.02.2013 13:11:07

[Email]
NATALI
Новичок

Зарегистрирован: 22.11.2012 12:38:55
Сообщений: 72
Оффлайн

Да,устанавливала! И что теперь делать?
KIVANOV
Пользователь
[Avatar]

Зарегистрирован: 01.08.2012 09:47:48
Сообщений: 648
Оффлайн

Вы уверены, что при обновлении вы устанавливали галочки напротив блоков Учет договоров, Данные для учета договоров, Учет контрактов и Данные для учета контрактов. Скорее всего этого сделано не было, а обновляли только бухгалтерию.

Если всё установилось без ошибок, то такого быть не должно.

Если уверены, что всё установлено, то зарегистрируйте, пожалуйста, событие на парус-консультант и выложите базу на FTP.

Это сообщение было изменено 2 раз. Последнее изменение было в 18.02.2013 13:24:47

[Email]
NATALI
Новичок

Зарегистрирован: 22.11.2012 12:38:55
Сообщений: 72
Оффлайн

При установке обновления предлагалось выбрать модули, но не блоки,к сожалению!!!
HRAMOGIN
Опытный пользователь
[Avatar]

Зарегистрирован: 30.08.2012 16:39:07
Сообщений: 1176
Оффлайн

NATALI wrote:При установке обновления предлагалось выбрать модули, но не блоки,к сожалению!!!

1. Проверьте, всё ли содержимое папки Packages Вы скачали с ftp. Если было скачано не всё содержимое этой папки, то соответственно и не все пункты видны в инсталяторе.
2. В инсталяторе, как правило, модули расположены в корне дерева (отмечены синим), а блоки модулей под ними (отмечено красным)

3. Ознакомьтесь с инструкциями по установке и обновлению.
[Thumb - Блоки.png]
 Имя файла Блоки.png [Disk] Скачать
 Описание Описание отсутствует
 Размер файла 41 Kbytes
 Загружено:  5 раз(а)

Это сообщение было изменено 4 раз. Последнее изменение было в 18.02.2013 14:15:19


Частые вопросы Парус 10
Остались вопросы? Задайте их прямо в приложении: "Администрирование" - "Обращения в службу поддержки" (глобальное сочетание клавиш Ctrl+F12). Наши специалисты всегда готовы помочь в любой ситуации.
KIVANOV
Пользователь
[Avatar]

Зарегистрирован: 01.08.2012 09:47:48
Сообщений: 648
Оффлайн

Также ОБЯЗАТЕЛЬНО необходимо обновить блоки Инвентаризация, БСО, отчетность 191н и 33н.
[Email]
NATALI
Новичок

Зарегистрирован: 22.11.2012 12:38:55
Сообщений: 72
Оффлайн

Спасибо, нашла уже!!!
BUZIKOV_E_N
Пользователь
[Avatar]

Зарегистрирован: 20.11.2012 11:22:04
Сообщений: 250
От: Бузиков Евгений
Оффлайн

В папке Client появился UpdateAgent. Это автоматическое обновление клиента?
[Email]
HRAMOGIN
Опытный пользователь
[Avatar]

Зарегистрирован: 30.08.2012 16:39:07
Сообщений: 1176
Оффлайн

BUZIKOV_E_N wrote:В папке Client появился UpdateAgent. Это автоматическое обновление клиента?

Во всех папках Client, Server и UpdateClient появилась консольная программа UpdateAgent. Она обновляет клиента, сервер или клиент обновления соответственно. Запускать ее не нужно, это вспомогательная утилита, которая запускается обновляемым компонентом торнадо.

Это сообщение было изменено 1 раз. Последнее изменение было в 18.02.2013 16:40:23


Частые вопросы Парус 10
Остались вопросы? Задайте их прямо в приложении: "Администрирование" - "Обращения в службу поддержки" (глобальное сочетание клавиш Ctrl+F12). Наши специалисты всегда готовы помочь в любой ситуации.
BUZIKOV_E_N
Пользователь
[Avatar]

Зарегистрирован: 20.11.2012 11:22:04
Сообщений: 250
От: Бузиков Евгений
Оффлайн

HRAMOGIN wrote:
Во всех папках Client, Server и UpdateClient появилась консольная программа UpdateAgent. Она обновляет клиента, сервер или клиент обновления соответственно. Запускать ее не нужно, это вспомогательная утилита, которая запускается обновляемым компонентом торнадо.


Как мне тогда инициировать обновление клиента? У меня есть Клиент версии 1.2.12508. При попытке подключения им к февральскому релизу (1.2.12551), он просто говорит о несоответствии версий сборок.

Это сообщение было изменено 1 раз. Последнее изменение было в 18.02.2013 16:47:15

[Email]
HRAMOGIN
Опытный пользователь
[Avatar]

Зарегистрирован: 30.08.2012 16:39:07
Сообщений: 1176
Оффлайн

BUZIKOV_E_N wrote:
HRAMOGIN wrote:
Во всех папках Client, Server и UpdateClient появилась консольная программа UpdateAgent. Она обновляет клиента, сервер или клиент обновления соответственно. Запускать ее не нужно, это вспомогательная утилита, которая запускается обновляемым компонентом торнадо.


Как мне тогда инициировать обновление клиента? У меня есть Клиент версии 1.2.12508. При попытке подключения им к февральскому релизу (1.2.12551), он просто говорит о несоответствии версий сборок.


Обновление будет работать только с этого февральского релиза. Старые клиенты не умеют сами обновляться и их необходимо обновить вручную через инсталятор. Обновление на следующие релизы, будет происходить автоматически с вашего сервера торнадо.

Это сообщение было изменено 3 раз. Последнее изменение было в 18.02.2013 17:13:54


Частые вопросы Парус 10
Остались вопросы? Задайте их прямо в приложении: "Администрирование" - "Обращения в службу поддержки" (глобальное сочетание клавиш Ctrl+F12). Наши специалисты всегда готовы помочь в любой ситуации.
BUZIKOV_E_N
Пользователь
[Avatar]

Зарегистрирован: 20.11.2012 11:22:04
Сообщений: 250
От: Бузиков Евгений
Оффлайн

А Updater.exe из папки UpdateClient самостоятельно обновился с 1.2.12508 на 1.2.12551. Странно...
[Email]
HRAMOGIN
Опытный пользователь
[Avatar]

Зарегистрирован: 30.08.2012 16:39:07
Сообщений: 1176
Оффлайн

Его должен был обновить инсталятор, вместе с сервером.

Частые вопросы Парус 10
Остались вопросы? Задайте их прямо в приложении: "Администрирование" - "Обращения в службу поддержки" (глобальное сочетание клавиш Ctrl+F12). Наши специалисты всегда готовы помочь в любой ситуации.
NATALI
Новичок

Зарегистрирован: 22.11.2012 12:38:55
Сообщений: 72
Оффлайн

Здравствуйте ,при запуске раздела "Расходные расписания" выходит сообщение :Ошибка выполнения раздела.: Can not find Unit type 'Parus.Business.TreasuryNotificationsAndExpensesSchedule.ExpenseScheduleUnit, TreasuryNotificationsAndExpensesSchedule.Client'. Is needed package deployed? релиз февраль 2013.
NATALI
Новичок

Зарегистрирован: 22.11.2012 12:38:55
Сообщений: 72
Оффлайн

Так же выходит ошибка при открытии раздела "Казначейские выписки" :Ошибка выполнения раздела.: Can not find Unit type 'Parus.Business.TreasuryNotificationsAndExpensesSchedule.TreasuryNotificationUnit, TreasuryNotificationsAndExpensesSchedule.Client'. Is needed package deployed?
KIVANOV
Пользователь
[Avatar]

Зарегистрирован: 01.08.2012 09:47:48
Сообщений: 648
Оффлайн

Вероятно, вы не установили (или возникли ошибки) при установке пакета TreasuryNotificationsAndExpensesSchedule.pkg.

Выложите лог обновления.

Это сообщение было изменено 1 раз. Последнее изменение было в 25.02.2013 12:19:43

[Email]
NATALI
Новичок

Зарегистрирован: 22.11.2012 12:38:55
Сообщений: 72
Оффлайн

Пожалуйста.
 Имя файла Парус_Торнадо_20130225193526.log [Disk] Скачать
 Описание Описание отсутствует
 Размер файла 125 Kbytes
 Загружено:  4 раз(а)

 Имя файла Парус_Торнадо_20130225193526_0_Tornado.log [Disk] Скачать
 Описание Описание отсутствует
 Размер файла 527 Kbytes
 Загружено:  3 раз(а)

KIVANOV
Пользователь
[Avatar]

Зарегистрирован: 01.08.2012 09:47:48
Сообщений: 648
Оффлайн

Судя по логу, пакет установился корректно.

В среде SQL Management Studio выполните запрос:

SELECT version
FROM [test].[dbo].[packages]
where name = 'TreasuryNotificationsAndExpensesSchedule'

где вместо [test] укажите имя Вашей БД.

Результат напишите.

Также очистите клиентский кеш.

Это сообщение было изменено 3 раз. Последнее изменение было в 26.02.2013 11:39:19

[Email]
NATALI
Новичок

Зарегистрирован: 22.11.2012 12:38:55
Сообщений: 72
Оффлайн

Выполнила запрос вот результат: 3.1.21717
KIVANOV
Пользователь
[Avatar]

Зарегистрирован: 01.08.2012 09:47:48
Сообщений: 648
Оффлайн

Да, всё верно. Так и должно быть.

Версия релиза 15.02.2013 - 3.1.21717. Запрос показал, что пакет TreasuryNotificationsAndExpensesSchedule у Вас установлен и имеет нужную версию.

Как уже говорил, попробуйте удалить папки с кешем клиента.

Путь к папке прописан в файле client.config. Обычно это C:\ProgramData\Parus.SmartClient.Win\Assemblies.

Это сообщение было изменено 2 раз. Последнее изменение было в 26.02.2013 17:35:11

[Email]
NATALI
Новичок

Зарегистрирован: 22.11.2012 12:38:55
Сообщений: 72
Оффлайн

Кэш почистила,не помогло,при запуске раздела "Расходные расписания" выдает сообщение: Ошибка выполнения раздела.: Can not find Unit type 'Parus.Business.TreasuryNotificationsAndExpensesSchedule.ExpenseScheduleUnit, TreasuryNotificationsAndExpensesSchedule.Client'. Is needed package deployed?
NATALI
Новичок

Зарегистрирован: 22.11.2012 12:38:55
Сообщений: 72
Оффлайн

Оказалось не в том месте чистила. Подскажите что конкретно можно удалить ,всю папку Assemblies или ее содержимое только?
KIVANOV
Пользователь
[Avatar]

Зарегистрирован: 01.08.2012 09:47:48
Сообщений: 648
Оффлайн

Нужно закрыть клиента, удалить всю папку Assemblies, после чего снова запустить клиента.

Это сообщение было изменено 2 раз. Последнее изменение было в 26.02.2013 17:53:23

[Email]
NATALI
Новичок

Зарегистрирован: 22.11.2012 12:38:55
Сообщений: 72
Оффлайн

Спасибо за помощь, теперь работает!!!

Это сообщение было изменено 1 раз. Последнее изменение было в 26.02.2013 17:58:45

FEDOROV_F_F
Опытный пользователь

Зарегистрирован: 06.11.2012 00:16:57
Сообщений: 1020
Оффлайн

Ребят киньте пожалуйста ссылку на новый релиз!
А то скачать нигде не могу...
[Email]
 
Индекс форума » ПАРУС- Бюджет 10.хх
Перейти: